This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 824057 - Review Request: fcitx-hangul - Hangul Engine for Fcitx
Review Request: fcitx-hangul - Hangul Engine for Fcitx
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 12:21 EDT by Liang Suilong
Modified: 2012-12-10 23:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 23:27:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2012-05-22 12:21:07 EDT
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-hangul.spec
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-hangul-0.1.1-1.fc16.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4094896

Description:
Fcitx-hangul is a Hangul engine wrapper for Fcitx. It Provides Korean input method from libhangul.
Comment 1 Parag AN(पराग) 2012-05-23 13:26:56 EDT
Review:-

+ Koji build used ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4094896

+ rpmlint on rpms gave
fcitx-hangul.src: W: spelling-error %description -l en_US libhangul -> Hangul
fcitx-hangul.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-hangul-0.1.1.tar.xz HTTP Error 404: Not Found
fcitx-hangul.x86_64: W: spelling-error %description -l en_US libhangul -> Hangul
fcitx-hangul.x86_64: E: incorrect-fsf-address /usr/share/doc/fcitx-hangul-0.1.1/COPYING
2 packages and 0 specfiles checked; 1 errors, 3 warnings.

+ Source verified with upstream as (sha1sum)
45ce2f8ee5b9c1f7940bee5e0e424391602aa0e3  fcitx-hangul-0.1.1.tar.xz
45ce2f8ee5b9c1f7940bee5e0e424391602aa0e3  ../SOURCES/fcitx-hangul-0.1.1.tar.xz


Suggestions:
1) each pushd command should have corresponding popd. please add it in %build

2) License should be GPLv2+ and BSD. Add comment above license tag like
# The entire source code is GPLv2+ except symbol.txt which is BSD

APPROVED.
Comment 2 Parag AN(पराग) 2012-05-23 23:46:43 EDT
I seem to be overlooked for locale handling in fcitx packages.
The correct way to handle locale files is remove manually generation of %{name}.lang in spec file and use %find_lang %{name} at the end of %install section.
Comment 3 Liang Suilong 2012-05-24 12:36:22 EDT
New Package SCM Request
=======================
Package Name: fcitx-hangul
Short Description: Hangul Engine for Fcitx 
Owners: liangsuilong
Branches: f15 f16 f17 el6
InitialCC: i18n-team
Comment 4 Gwyn Ciesla 2012-05-24 13:14:00 EDT
Git done (by process-git-requests).
Comment 5 Parag AN(पराग) 2012-06-05 23:56:31 EDT
any update here?
Comment 6 Parag AN(पराग) 2012-06-29 10:17:19 EDT
any update here?
Comment 7 Parag AN(पराग) 2012-07-09 01:51:54 EDT
Can you please build the package in fedora so that it will be available for testing?
Comment 8 Parag AN(पराग) 2012-07-20 04:53:41 EDT
liangsuilong,  
   If you are busy with your work then please allow me to request SCM for this package and build it in Fedora so that people can use this.
Comment 9 Fedora Update System 2012-07-25 12:51:41 EDT
fcitx-hangul-0.1.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fcitx-hangul-0.1.1-1.fc16
Comment 10 Fedora Update System 2012-07-25 12:51:51 EDT
fcitx-hangul-0.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fcitx-hangul-0.1.1-1.fc17
Comment 11 Fedora Update System 2012-07-25 23:55:24 EDT
fcitx-hangul-0.1.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Parag AN(पराग) 2012-12-10 23:27:13 EST
I suppose this can be closed as packages are already in repositories.

Note You need to log in before you can comment on or make changes to this bug.